Subject: Re: [PATCH] gnu: Add python-multiplex.

From: Vinicius Monego <[email-masked]>
Date: Thu, 11 Nov 2021 04:52:07 +0000

Em sáb, 2021-05-29 às 23:10 +0200, Stefan Reichör escreveu:
> * gnu/packages/python-xyz.scm (python-multiplex): New variable.
> ---
> I was not able to switch the source url to github since the poetry
> build system is required there. I have no idea how to use poetry from
> within guix
> 

Hi,

I was taking a look at this series again.

> gnu/packages/python-xyz.scm | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
> 
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-
> xyz.scm
> index f208a7d153..d68e237830 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -25062,6 +25062,32 @@ applications with variable CPU loads).")
>  (define-public python2-parallel
>    (package-with-python2 python-parallel))
>  
> +(define-public python-multiplex
> +  (package
> +    (name "python-multiplex")
> +    (version "0.5.1")
> +    (source
> +      (origin

Indentation is 1 space below source. If you're using Emacs it can fix
indentation with M-x indent-sexp (C-M-q) with the cursor on the
beginning of the expression.

> +        (method url-fetch)
> +        (uri (pypi-uri "multiplex" version))
> +        (sha256
> +          (base32
> +           
> "1g01xwx5z0m1dvp5d69ndj8hz80d2z5xzasixa7c0k6ny93f9qhg"))))
> +    (build-system python-build-system)

I'd suggest to add something like

> (arguments
>  `(#:tests? #f)) ; no tests in PyPI and no setup.py in github

in this place.

> +    (propagated-inputs
> +      `(("python-aiofiles" ,python-aiofiles-0.5.0)

If multiplex must match aiofiles version, issue 48429 can be skipped
since multiplex is now at 0.6.0 and we have aiofiles 0.6.0.

> +        ("python-aiostream" ,python-aiostream)
> +        ("python-click" ,python-click)
> +        ("python-easy-ansi" ,python-easy-ansi)
> +        ("python-pyte" ,python-pyte)))
> +    (home-page "https://github.com/dankilman/multiplex")
> +    (synopsis "View output of multiple processes, in parallel, in
> the console,
> +with an interactive TUI")

Please keep synopsis under 78 columns. I'd suggest something like "View
output of multiple process with an interactive TUI".

> +    (description
> +      "Can be used as cli tool or as python library to view output
> of parallel
> +running processes")

Description must be a full sentence. For instance: "Multiplex is a CLI
tool and a Python library to view output of running processes in
parallel.", or something alone these lines.

> +    (license license:expat)))
> +
>  (define-public python-djvulibre
>    (package
>      (name "python-djvulibre")

Your patch 2 was already merged.

Can you send a series of patches 1, 3 and 5 with -v2 to
[email-masked] (the first patch)? When merged, that and 48427,
48429 and 48430 can be closed.

Vinicius